Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.appender.routing
Class Routes

    java.lang.Object
      org.apache.logging.log4j.core.appender.routing.Routes

    @Plugin(name="Routes",
            category="Core",
            printObject=true)
    public final class Routes

extends Object

Used to contain the individual Route elements.

Method Summary
`static Routes` | `createRoutes(String pattern, Route... routes)` Create the Routes.
`String` | `getPattern()` Returns the pattern.
`Route[]` | `getRoutes()` Returns the array of Route elements.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getPattern

    public String getPattern()

  Returns the pattern.

  Returns:
    the pattern.

### getRoutes

    public Route[] getRoutes()

  Returns the array of Route elements.

  Returns:
    an array of Route elements.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### createRoutes

    @PluginFactory
    public static Routes createRoutes(@PluginAttribute(value="pattern")
                                                    String pattern,
                                                    @PluginElement(value="Routes")
                                                    Route... routes)

  Create the Routes.

  Parameters:
    `pattern` - The pattern.
    `routes` - An array of Route elements.
  Returns:
    The Routes container.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.